diff options
Diffstat (limited to 'tests')
-rwxr-xr-x | tests/misc/shuf.sh | 4 |
1 files changed, 4 insertions, 0 deletions
diff --git a/tests/misc/shuf.sh b/tests/misc/shuf.sh index d3ea1f2ee..d7251d1d6 100755 --- a/tests/misc/shuf.sh +++ b/tests/misc/shuf.sh @@ -43,6 +43,10 @@ compare in out1 || { fail=1; echo "not a permutation" 1>&2; } t=$(shuf -e a b c d e | sort | fmt) test "$t" = 'a b c d e' || { fail=1; echo "not a permutation" 1>&2; } +# coreutils-8.22 dumps core. +shuf -er +test $? -eq 1 || fail=1 + # Before coreutils-6.3, this would infloop. # "seq 1860" produces 8193 (8K + 1) bytes of output. seq 1860 | shuf > /dev/null || fail=1 |